OP callp2, rdra, flow, "r0 := rD, r1 = rA, call subroutine at the address held in rP."
 decode_rdra
 jsr copyXYTor0r1
 sec
OP callp, none, flow, "Call subroutine at the address held in rP."
 lda #1
 adc iptr
 pha
 lda iptr+1
 adc #0
 pha
OP jumpp, none, flow, "Jump to address held in rP."
 lda 0,x
 sta iptr
 lda 1,x
 sta iptr+1
 jmp mainLoop0

OP call2, rdraimm16, flow, "r0 := rD, r1 := rA, call subroutine at imm16."
 decode_rdra
 jsr copyXYTor0r1
 sec
OP call, imm16, flow, "Call subroutine at imm16."
 lda #3
 adc iptr
 pha
 lda iptr+1
 adc #0
 pha
OP jump, imm16, flow, "Jump to imm16."
 lda (iptr),y
 tax
 iny
 lda (iptr),y
 sta iptr+1
 stx iptr
 jmp mainLoop0

PSEUDO rets, "imm", flow, "Becomes ret, rets4 or rets8.", {" .if (imm >= 1) .and (imm <= 16)",EOL,"   rets4 imm",EOL," .elseif (imm = 0)",EOL,"   ret",EOL," .else",EOL,"   rets8 imm",EOL," .endif"}

OPE rets4, imm4p1, flow, "Return from subroutine, and shrink register stack by imm4 (1-16) slots.  The resulting r0 becomes the new rP."
 inx
 inx
 stx rptr
 stx pptr
 bcc ret
OP rets8, pslots, flow, "Return from subroutine, and shrink register stack by imm8 slots.  The resulting r0 becomes the new rP."
 lda rptr
 adc (iptr),y
 sta rptr
 sta pptr
OP ret, none, flow, "Return from subroutine."
 pla
 sta iptr+1
 pla
 sta iptr
 jmp mainLoop0

