OP roll, rdimm4, bits, "rD := (rD << imm4) | (rD >> (16 - imm4)), imm4 is nonzero."
 decode_rdimm4
 lda 1,x
: cmp #$80
  rol 0,x
  rol
  dey
 bne :-
 sta 1,x
 jmp mainLoop2

OP shl, rdimm4, bits, "rD := rD << imm4 (nonzero), bits shift into the carry stack."
 decode_rdimm4
: asl 0,x
  rol 1,x
  ror cstack
  dey
 bne :-
 jmp mainLoop2

; lda, asl a, sta = 10 + 2*numbits cycles
; asl mem = 6*numbits cycles
; same for 2 bits, better for more

OP shr, rdimm4, bits, "rD := rD >> imm4 (nonzero), bits shift into the carry stack."
 decode_rdimm4
: lsr 1,x
  ror 0,x
  ror cstack
  dey
 bne :-
 jmp mainLoop2

OP sshr, rdimm4, bits, "rD := rD >>> imm4 (nonzero), bits shift into the carry stack."
 decode_rdimm4
 lda 1,x
: cmp #$80
  ror
  ror 0,x
  ror cstack
  dey
 bne :-
 sta 1,x
 jmp mainLoop2
